Bug 1773434 - oc apply does not update configmap with role jenkins-slave
Summary: oc apply does not update configmap with role jenkins-slave
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Jenkins
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.2.z
Assignee: Akram Ben Aissi
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On: 1755812
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-18 07:22 UTC by Akram Ben Aissi
Modified: 2020-07-27 19:04 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1755812
Environment:
Last Closed: 2020-07-27 19:03:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift jenkins pull 980 0 'None' closed [release-4.2] Bug 1773434: Bump Sync Plugin to 1.0.42 #980 2020-07-27 19:01:14 UTC

Comment 2 XiuJuan Wang 2019-11-25 09:53:52 UTC
No jenkins image which default installs openshift-sync 1.0.42 bump out.

Comment 3 XiuJuan Wang 2019-11-27 03:07:53 UTC
Still don't install openshift-sync 1.0.42 in the latest jenkins image.

$oc get clusterversion  
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.2.0-0.nightly-2019-11-27-004055   True        False         49m     Cluster version is 4.2.0-0.nightly-2019-11-27-004055

cat /var/lib/jenkins/plugins/openshift-sync/META-INF/maven/io.fabric8.jenkins.plugins/openshift-sync/pom.properties
#Generated by Maven
#Mon Aug 12 23:53:56 CEST 2019
version=1.0.41
groupId=io.fabric8.jenkins.plugins
artifactId=openshift-sync

Comment 5 Akram Ben Aissi 2020-06-23 19:42:28 UTC
an younger release  of 4.2 using openshift-sync-plugin 1.0.44 has been done after this bug.
https://issues.redhat.com/browse/ART-1541 

Moving it to MODIFIED so QA can get a last verification of it.
it should be closed by the ERRATA https://access.redhat.com/errata/RHBA-2020:0522 which brought jenkins:v4.2.20 that contains the fix.
v4.2.19 does not have it.


For QA to verify it:
```
oc import-image jenkins:v4.2.19 --from=registry.redhat.io/openshift4/ose-jenkins:v4.2.19 --confirm
oc new-app jenkins-ephemeral -p NAMESPACE=$(oc project -q) -p JENKINS_IMAGE_STREAM_TAG=jenkins:v4.2.19
oc exec  jenkins-1-twxyz grep Plugin-Version /var/lib/jenkins/plugins/openshift-sync/META-INF/MANIFEST.MF
$ Plugin-Version: 1.0.41

oc delete dc jenkins

oc import-image jenkins:v4.2.20 --from=registry.redhat.io/openshift4/ose-jenkins:v4.2.20 --confirm
oc new-app jenkins-ephemeral -p NAMESPACE=$(oc project -q) -p JENKINS_IMAGE_STREAM_TAG=jenkins:v4.2.20
oc exec  jenkins-1-abcde grep Plugin-Version /var/lib/jenkins/plugins/openshift-sync/META-INF/MANIFEST.MF
$ Plugin-Version: 1.0.44

```

Comment 8 XiuJuan Wang 2020-07-15 09:02:13 UTC
$oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8032fa34b8f67d139a5000ad1a247d8693f45b35580a3d54df64022b7010a3d1 | grep version 
               io.jenkins.version=2.204.1
               version=v4.2.36

$oc exec  jenkins-1-2mr78 grep Plugin-Version /var/lib/jenkins/plugins/openshift-sync/META-INF/MANIFEST.MF
Plugin-Version: 1.0.44

Verified on 4.2.36 cluster.


Note You need to log in before you can comment on or make changes to this bug.